const system=require("../../../system");
const Dao=require("../../dao.base");
class PricecatDao extends Dao{
  constructor(){
    super(Dao.getModelName(PricecatDao));
  }
  orderBy(qobj) {
    //return {"key":"include","value":{model:this.db.models.app}};
    if(!qobj.orderInfo || qobj.orderInfo.length==0){
      return [["seq", "ASC"]];
    }else{
      return qobj.orderInfo;
    }
  }
}
module.exports=PricecatDao;
    // var u=new UserDao();
    // var roledao=system.getObject("db.roleDao");
    // (async ()=>{
    //   var users=await u.model.findAll({where:{app_id:1}});
    //   var role=await roledao.model.findOne({where:{code:"guest"}});
    //   console.log(role);
    //   for(var i=0;i<users.length;i++){
    //     await users[i].setRoles([role]);
    //     console.log(i);
    //   }
    //
    // })();
